<?

/*
FlexCMS (http://www.flexcms.com)
Flexible, Powerful, Affordable.

Contents of this file are protected by the copyright
notice found at http://www.flexcms.com/flex/pages/copyright.html,
and its usage is subject to the terms of the licensing agreement 
available at http://www.flexcms.com/flex/pages/license.html
*/



	// ========================================================================================
	// Save Board Changes
	// ========================================================================================
	
	$PageTitle = $MsgText[2][33];
	$BrowserTitle = $MsgText[2][33];
	$LocationBar = '<a href="'.$IndexURL.'">'.$MsgText[0][1].'</a> > <a href="' . $MainURL . '/options.html">'.$MsgText[0][4].'</a> > <a href="' . $MainURL . '/admin/messageboard_boardsandcats.html">$MsgText[2][4]</a> > '.$MsgText[2][33];
	
	if ($LoggedIn == 'y') {
		
		ReadPermissions();
		Global $Permissions;
		
		// if permissions are correct and arguments haven't been forged
		if ($Permissions[204] == 'y') {
						
			
			ReadFormArguments();
			Global $FormArguments;
			
			$query = "update `".$Settings['DBPrefix']."mb-Boards` set Title='".$FormArguments['Title']."', Description='".$FormArguments['Description']."', BoardOrder='".$FormArguments['BoardOrder']."', Category='".$FormArguments['Category']."', MinLevel='".$FormArguments['MinLevel']."' where RecordNumber=".$FormArguments['BoardToEdit']." limit 1";
			$result = mysql_query($query) or die (mysql_error());
		
			
	
			header('Location: '.$MainURL.'/admin/messageboard_boardsandcats.html');
	
	
		}
		else {
		
			$PageContents = $MsgText[0][97];
		
		}

	}
	else {
	
		RedirectToLogin();
	
	}
	

	// ========================================================================================




?>
